
Core - Feature # 35246

Status: New Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2012-03-26 Assigned To:
Updated: 2015-01-23 Due date:
PHP Version:
Complexity:
Sprint Focus:
Subject: Make use of Extbase features
Description

The workspace module uses the Extbase dispatcher for backend modules, however, there are many places where domain models,
repositories and proper services would make sense, e.g.:

    -  Domain_Model_Workspace (+ Repository)
    -  Domain_Model_DatabaseRecord (could be live or version record) - lazy, just needs table and uid to be working
    -  Domain_Model_CombinedRecord (the relationship of live and version record) - lazy, just needs table and uid to be working
    -  Domain_Model_Stage (+ Repository)

Related issues:
related to Core - Feature # 35245: Rework workspace notification settings Under Review 2012-03-26

History
#1 - 2013-12-10 01:04 - Michael Stucki
- Category changed from New Features to Workspaces

#2 - 2013-12-10 01:06 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces

#3 - 2015-01-23 11:33 - Mathias Schreiber
- Target version changed from 6.0.0 to 7.5
